using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class BossReceiveDamage : ReceiveDamage
{
  private Slider healthBar;
  public Animator animator;
  public BossAI bossAI;
  public RectTransform imageWin;
  // Start is called before the first frame update
  void Start()
  {
    healthBar = GameObject.Find("BossHealth").GetComponent<Slider>();
    imageWin = GameObject.Find("YouWin").GetComponent<RectTransform>();
  }

  public override void HealthChange()
  {
    healthBar.value = health;
    Debug.Log(health);
  }

  public override void Die()
  {
    animator.SetTrigger("Death");
    bossAI.battleStart = false;
    StartCoroutine(WaitABit());
  }

  IEnumerator WaitABit()
  {
    yield return new WaitForSeconds(5);
    imageWin.SetRight(0);
  }
}
