
using UnityEngine;

public class CheckForDamage : MonoBehaviour
{
  public bool attackRequired = false;
  public GameObject hitOrigin;
  public GameObject particles;
  public string tagToAttack;
  public float rayLength = 2;

  // Update is called once per frame
  void FixedUpdate()
  {
    Debug.DrawRay(hitOrigin.transform.position, hitOrigin.transform.forward * rayLength, Color.red);
    if (attackRequired)
    {
      Vector3 fwd = transform.TransformDirection(Vector3.forward);
      RaycastHit hit;

      if (Physics.Raycast(hitOrigin.transform.position, hitOrigin.transform.forward, out hit, rayLength))
      {
        if (hit.transform.CompareTag(tagToAttack))
        {
          if (hit.collider.GetComponent<ReceiveDamage>())
          {
            hit.collider.GetComponent<ReceiveDamage>().ReduceHealth(1);
            Instantiate(particles, new Vector3( hit.collider.transform.position.x, 1.9f, hit.transform.position.z), Quaternion.identity);
          }
        }
      }
      attackRequired = false;
    }
  }
}
